#include <cstdio>
int a[47],n,s1[23];
bool dfs(int cur,int c1,int c2)
{
    if(cur*2>n) return false;

}
int main()
{
    int T;
    scanf("%d",&T);
    while(T--)
    {
        scanf("%d");
        for(int i=0;i<n;i++)
            scanf("%d",a+i);
        puts(dfs()?"Good job!!":"What a pity!");
    }
    return 0;
}
